body {
    background: #2a2a2a;
    margin: 0;
    padding: 0;
    color: #ffffff;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12px;
    line-height: 18px;
}

a,
a:hover,
a:focus {
    color: #ffffff;
    text-decoration: none;
    outline: 0;
}


.container{
    max-width: 1000px;
    margin: 0 auto;
}

.container h1{
    margin: 0;
    padding: 0;
    margin: 0;
    color: #ffffff;
    font-size: 20px;
    font-weight: 700;
    line-height: 19px;
    display: block;
    border-bottom: 1px solid #404044;
    text-transform: uppercase;
    padding: 20px 0;
    margin: 0 0 20px 0;
}

p{
    font-size: 11px;
    text-align: right;
    font-style: italic;
    padding: 0 4px 0 0;
    line-height: 14px;
}

.state-name {
    position: relative;
    z-index: 10;
    text-align: center;
    margin: 0;
    font-size: 18px;
    line-height: 22px;
    font-weight: 700;
    padding: 10px 0 0 0;
}

.westbengal-chart,
.assam-chart,
.tamilnadu-chart,
.kerala-chart,
.puducherry-chart {
    width: 200px;
    margin: 0 auto;
    opacity: 0;
}

canvas#WestbengalChart,
#assamChart,
#tamilnaduChart,
#keralaChart,
#puducherryChart {
    position: relative;
    top: -40px;
}

.top-box {
    position: relative;
}

.top-box:after {
    content: '';
    display: block;
    height: 30px;
    width: 0px;
    position: absolute;
    left: 0;
    top: 6px;
    right: 0;
    bottom: 0;
    border: 1px dashed #ccc;
    margin: 0 auto;
}

.total-seats {
    position: relative;
    width: 90px;
    margin: -136px auto 10px;
    overflow: hidden;
    height: 46px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.total-seats span {
    display: block;
    text-align: center;
    position: relative;
    z-index: 10;
    font-weight: 700;
}

.total-seats:after {
    content: '';
    width: 90px;
    height: 90px;
    border-radius: 50%;
    background: #404040;
    position: absolute;
    left: 0;
    top: 0;
}

span.result:after {
    border-bottom: 1px solid #777777;
    content: '';
    display: block;
    margin: 0 auto;
    width: 69%;
}

.party-wise-data {
    border: 1px solid #555555;
    position: relative;
    z-index: 10;
    font-size: 12px;
    font-weight: 700;
    min-height: 140px;
}

.party-wise-data .row {
    padding: 5px 8px;
}

.row.party-header {
    background: #404044;
}

.row>span {
    display: inline-block;
    width: 32%;
    text-align: center;
}

.party-name {
    position: relative;
    box-sizing: border-box;
    padding: 0 0 0 16px;
    text-align: left !important;
}

.party-name span {
    position: absolute;
    display: block;
    height: 5px;
    width: 5px;
    border-radius: 50%;
    left: 7px;
    top: 6px;
}

.chart-slider-container {
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
}


/* slider charts */

.chart-slider-container .top-box:after {
    top: 8px;
}

.slick-slide {
    margin: 0 5px;
}


/* single chart css */

.individual-elec-chart p{
    margin: 0;
    clear: both;
}

.individual-elec-chart .state-name {
    border-bottom: 1px solid #505050;
    padding: 10px 0;
    margin: 0 0 15px 0;
}

.individual-elec-chart {
    max-width: 435px;
    width: 100%;
}

.individual-elec-chart .top-box {
    float: left;
    width: 50%;
    margin-right: 4%;
}

.individual-elec-chart .party-wise-data {
    float: left;
    width: 46%;
    box-sizing: border-box;
}

.individual-elec-chart #WestbengalChart,
.individual-elec-chart #assamChart,
.individual-elec-chart #tamilnaduChart,
.individual-elec-chart #keralaChart,
.individual-elec-chart #puducherryChart {
    position: relative;
    top: -50px;
}

.individual-elec-chart .top-box:after {
    top: 4px;
    height: 46px;
}

.individual-elec-chart .total-seats {
    margin: -150px auto 10px
}

.individual-elec-chart .party-wise-data {
    min-height: auto;
}

.slick-slide {
    outline: 0;
}
@media(max-width: 767px) {
    .chart-slider-container {
        max-width: 360px;
    }

    .chart-slider-container .party-wise-data {
        font-size: 11px;
        min-height: 130px;
    }

    .chart-slider-container .party-wise-data .row {
        padding: 3px 5px;
    }

    .chart-slider-container .top-box:after {
        top: 3px;
        height: 20px;
    }

    .chart-slider-container .total-seats {
        margin: -128px auto 10px;
    }

    ul.slick-dots {
        list-style: none;
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    ul.slick-dots li {
        text-indent: -999999px;
        background: #404040;
        height: 10px;
        width: 10px;
        border-radius: 50%;
        margin: 0 4px;
    }
    ul.slick-dots li.slick-active{
       background: #ffffff;
       opacity: 0.8;
    }
}

@media(max-width: 649px) {

    .container{
        padding: 0 5px;
    }

    /* single chart */
    .individual-elec-chart {
        max-width: 350px;
    }

    .individual-elec-chart #WestbengalChart,
    .individual-elec-chart #assamChart,
    .individual-elec-chart #tamilnaduChart,
    .individual-elec-chart #keralaChart,
    .individual-elec-chart #puducherryChart {
        top: -35px;
    }

    .individual-elec-chart .row>span {
        width: 31%;
    }

    .individual-elec-chart .total-seats {
        margin: -125px auto 10px;
    }

    .individual-elec-chart .top-box:after {
        top: 10px;
        height: 25px;
    }
}

@media(max-width: 330px) {

    .chart-slider-container,
    .individual-elec-chart {
        zoom: 0.8;
    }
}
.tamilnadu-chart .party-wise-data .row, .puducherry-chart .party-wise-data .row{padding: 5px 5px;}
.tamilnadu-chart .party-name span, .puducherry-chart .party-name span{ left: 1px; }
.tamilnadu-chart .party-name,  .puducherry-chart .party-name{padding: 0 0 0 10px;}
.individual-elec-chart.tamilnadu-chart .row>span.party-name ,  .individual-elec-chart.puducherry-chart .row>span.party-name {width: 40%;}
.individual-elec-chart.tamilnadu-chart .row>span.lead, .individual-elec-chart.puducherry-chart .row>span.lead{ width: 20%; }
.individual-elec-chart.tamilnadu-chart .row>span.allience,  .individual-elec-chart.puducherry-chart .row>span.allience {width: 40%;}